Changeset 161 for ThirdParty/Blas


Ignore:
Timestamp:
Dec 1, 2006 3:09:55 PM (13 years ago)
Author:
andreasw
Message:

included latest changes from coin.m4

File:
1 edited

Legend:

Unmodified
Added
Removed
  • ThirdParty/Blas/trunk/configure

    r142 r161  
    15901590
    15911591# Initialize the ADDLIBS variable
    1592 ADDLIBS='-lm'
     1592ADDLIBS="-lm $LIBS"
    15931593
    15941594
    15951595# Initialize the FADDLIBS variable (which is to be used with a fortran
    15961596# compiler and will not include FLIBS)
    1597 FADDLIBS=
     1597FADDLIBS="$LIBS"
    15981598
    15991599
     
    18041804if test x"$CXX" != x; then
    18051805  case "$CXX" in
    1806     cl*)
     1806    cl* | */cl*)
    18071807      if test x"$CC" = x; then
    18081808        CC="$CXX"
     
    18301830
    18311831# We delete the cached value, since the test might not have been
    1832 # performed with out choise of compilers earlier
     1832# performed with our choice of compilers earlier
    18331833$as_unset ac_cv_prog_CC || test "${ac_cv_prog_CC+set}" != set || { ac_cv_prog_CC=; export ac_cv_prog_CC; }
    18341834ac_ext=c
     
    25452545ac_compiler_gnu=$ac_cv_c_compiler_gnu
    25462546
     2547if test -z "$CC" ; then
     2548  { { echo "$as_me:$LINENO: error: Failed to find a C compiler!" >&5
     2549echo "$as_me: error: Failed to find a C compiler!" >&2;}
     2550   { (exit 1); exit 1; }; }
     2551fi
     2552# Autoconf incorrectly concludes that cl recognises -g. It doesn't.
     2553case "$CC" in
     2554  cl* | */cl*)
     2555    if test "$ac_cv_prog_cc_g" = yes ; then
     2556      ac_cv_prog_cc_g=no
     2557      { echo "$as_me:$LINENO: Overruling autoconf; cl does not recognise -g." >&5
     2558echo "$as_me: Overruling autoconf; cl does not recognise -g." >&6;}
     2559    fi ;;
     2560esac
    25472561CFLAGS="$save_cflags"
    25482562
     
    29302944# Correct ADDLIBS initialization if we are using the MS compiler
    29312945case "$CC" in
    2932   cl*)
     2946  cl* | */cl*)
    29332947    ADDLIBS=
    29342948    case $build in
     
    29502964
    29512965
     2966case $build in
     2967  *-cygwin* | *-mingw*)
     2968     coin_f77_comps="gfortran g77 ifort fl32" ;;
     2969  *) coin_f77_comps="xlf fort77 gfortran f77 g77 pgf90 pgf77 ifort ifc frt af77" ;;
     2970esac
     2971
     2972
    29522973
    29532974
     
    29672988
    29682989save_fflags="$FFLAGS"
    2969 case $build in
    2970   *-cygwin* | *-mingw*)
    2971              comps="gfortran g77 ifort fl32" ;;
    2972   *)         comps="xlf fort77 gfortran f77 g77 pgf90 pgf77 ifort ifc frt af77" ;;
    2973 esac
     2990comps="$coin_f77_comps" #This comes from AC_COIN_F77_COMPS
    29742991
    29752992# We delete the cached value, since the test might not have been
    2976 # performed with out choise of compilers earlier
     2993# performed with our choice of compilers earlier
    29772994$as_unset ac_cv_prog_F77 || test "${ac_cv_prog_F77+set}" != set || { ac_cv_prog_F77=; export ac_cv_prog_F77; }
    29782995ac_ext=f
     
    30683085
    30693086# Provide some information about the compiler.
    3070 echo "$as_me:3070:" \
     3087echo "$as_me:3087:" \
    30713088     "checking for Fortran 77 compiler version" >&5
    30723089ac_compiler=`set X $ac_compile; echo $2`
     
    32113228ac_compiler_gnu=$ac_cv_f77_compiler_gnu
    32123229
     3230if test -z "$F77" ; then
     3231  { echo "$as_me:$LINENO: WARNING: Failed to find a Fortran compiler!" >&5
     3232echo "$as_me: WARNING: Failed to find a Fortran compiler!" >&2;}
     3233fi
    32133234FFLAGS="$save_fflags"
    32143235
     
    45744595*-*-irix6*)
    45754596  # Find out which ABI we are using.
    4576   echo '#line 4576 "configure"' > conftest.$ac_ext
     4597  echo '#line 4597 "configure"' > conftest.$ac_ext
    45774598  if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    45784599  (eval $ac_compile) 2>&5
     
    70037024   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    70047025   -e 's:$: $lt_compiler_flag:'`
    7005    (eval echo "\"\$as_me:7005: $lt_compile\"" >&5)
     7026   (eval echo "\"\$as_me:7026: $lt_compile\"" >&5)
    70067027   (eval "$lt_compile" 2>conftest.err)
    70077028   ac_status=$?
    70087029   cat conftest.err >&5
    7009    echo "$as_me:7009: \$? = $ac_status" >&5
     7030   echo "$as_me:7030: \$? = $ac_status" >&5
    70107031   if (exit $ac_status) && test -s "$ac_outfile"; then
    70117032     # The compiler can only warn and ignore the option if not recognized
     
    72717292   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    72727293   -e 's:$: $lt_compiler_flag:'`
    7273    (eval echo "\"\$as_me:7273: $lt_compile\"" >&5)
     7294   (eval echo "\"\$as_me:7294: $lt_compile\"" >&5)
    72747295   (eval "$lt_compile" 2>conftest.err)
    72757296   ac_status=$?
    72767297   cat conftest.err >&5
    7277    echo "$as_me:7277: \$? = $ac_status" >&5
     7298   echo "$as_me:7298: \$? = $ac_status" >&5
    72787299   if (exit $ac_status) && test -s "$ac_outfile"; then
    72797300     # The compiler can only warn and ignore the option if not recognized
     
    73757396   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    73767397   -e 's:$: $lt_compiler_flag:'`
    7377    (eval echo "\"\$as_me:7377: $lt_compile\"" >&5)
     7398   (eval echo "\"\$as_me:7398: $lt_compile\"" >&5)
    73787399   (eval "$lt_compile" 2>out/conftest.err)
    73797400   ac_status=$?
    73807401   cat out/conftest.err >&5
    7381    echo "$as_me:7381: \$? = $ac_status" >&5
     7402   echo "$as_me:7402: \$? = $ac_status" >&5
    73827403   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    73837404   then
     
    97209741  lt_status=$lt_dlunknown
    97219742  cat > conftest.$ac_ext <<EOF
    9722 #line 9722 "configure"
     9743#line 9743 "configure"
    97239744#include "confdefs.h"
    97249745
     
    98209841  lt_status=$lt_dlunknown
    98219842  cat > conftest.$ac_ext <<EOF
    9822 #line 9822 "configure"
     9843#line 9843 "configure"
    98239844#include "confdefs.h"
    98249845
     
    1216412185   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1216512186   -e 's:$: $lt_compiler_flag:'`
    12166    (eval echo "\"\$as_me:12166: $lt_compile\"" >&5)
     12187   (eval echo "\"\$as_me:12187: $lt_compile\"" >&5)
    1216712188   (eval "$lt_compile" 2>conftest.err)
    1216812189   ac_status=$?
    1216912190   cat conftest.err >&5
    12170    echo "$as_me:12170: \$? = $ac_status" >&5
     12191   echo "$as_me:12191: \$? = $ac_status" >&5
    1217112192   if (exit $ac_status) && test -s "$ac_outfile"; then
    1217212193     # The compiler can only warn and ignore the option if not recognized
     
    1226812289   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1226912290   -e 's:$: $lt_compiler_flag:'`
    12270    (eval echo "\"\$as_me:12270: $lt_compile\"" >&5)
     12291   (eval echo "\"\$as_me:12291: $lt_compile\"" >&5)
    1227112292   (eval "$lt_compile" 2>out/conftest.err)
    1227212293   ac_status=$?
    1227312294   cat out/conftest.err >&5
    12274    echo "$as_me:12274: \$? = $ac_status" >&5
     12295   echo "$as_me:12295: \$? = $ac_status" >&5
    1227512296   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1227612297   then
     
    1383813859   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1383913860   -e 's:$: $lt_compiler_flag:'`
    13840    (eval echo "\"\$as_me:13840: $lt_compile\"" >&5)
     13861   (eval echo "\"\$as_me:13861: $lt_compile\"" >&5)
    1384113862   (eval "$lt_compile" 2>conftest.err)
    1384213863   ac_status=$?
    1384313864   cat conftest.err >&5
    13844    echo "$as_me:13844: \$? = $ac_status" >&5
     13865   echo "$as_me:13865: \$? = $ac_status" >&5
    1384513866   if (exit $ac_status) && test -s "$ac_outfile"; then
    1384613867     # The compiler can only warn and ignore the option if not recognized
     
    1394213963   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1394313964   -e 's:$: $lt_compiler_flag:'`
    13944    (eval echo "\"\$as_me:13944: $lt_compile\"" >&5)
     13965   (eval echo "\"\$as_me:13965: $lt_compile\"" >&5)
    1394513966   (eval "$lt_compile" 2>out/conftest.err)
    1394613967   ac_status=$?
    1394713968   cat out/conftest.err >&5
    13948    echo "$as_me:13948: \$? = $ac_status" >&5
     13969   echo "$as_me:13969: \$? = $ac_status" >&5
    1394913970   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1395013971   then
     
    1614916170   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1615016171   -e 's:$: $lt_compiler_flag:'`
    16151    (eval echo "\"\$as_me:16151: $lt_compile\"" >&5)
     16172   (eval echo "\"\$as_me:16172: $lt_compile\"" >&5)
    1615216173   (eval "$lt_compile" 2>conftest.err)
    1615316174   ac_status=$?
    1615416175   cat conftest.err >&5
    16155    echo "$as_me:16155: \$? = $ac_status" >&5
     16176   echo "$as_me:16176: \$? = $ac_status" >&5
    1615616177   if (exit $ac_status) && test -s "$ac_outfile"; then
    1615716178     # The compiler can only warn and ignore the option if not recognized
     
    1641716438   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1641816439   -e 's:$: $lt_compiler_flag:'`
    16419    (eval echo "\"\$as_me:16419: $lt_compile\"" >&5)
     16440   (eval echo "\"\$as_me:16440: $lt_compile\"" >&5)
    1642016441   (eval "$lt_compile" 2>conftest.err)
    1642116442   ac_status=$?
    1642216443   cat conftest.err >&5
    16423    echo "$as_me:16423: \$? = $ac_status" >&5
     16444   echo "$as_me:16444: \$? = $ac_status" >&5
    1642416445   if (exit $ac_status) && test -s "$ac_outfile"; then
    1642516446     # The compiler can only warn and ignore the option if not recognized
     
    1652116542   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1652216543   -e 's:$: $lt_compiler_flag:'`
    16523    (eval echo "\"\$as_me:16523: $lt_compile\"" >&5)
     16544   (eval echo "\"\$as_me:16544: $lt_compile\"" >&5)
    1652416545   (eval "$lt_compile" 2>out/conftest.err)
    1652516546   ac_status=$?
    1652616547   cat out/conftest.err >&5
    16527    echo "$as_me:16527: \$? = $ac_status" >&5
     16548   echo "$as_me:16548: \$? = $ac_status" >&5
    1652816549   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1652916550   then
     
    1947519496
    1947619497  # If maintainer mode is chosen, we make sure that the correct versions
    19477   # of the tools are used, and that we know where libtoo.m4 is (to
     19498  # of the tools are used, and that we know where libtool.m4 is (to
    1947819499  # recreate acinclude.m4)
    1947919500
    1948019501
    1948119502  LIBTOOLM4=
     19503  # Normally, $HOME
     19504  AUTOTOOLS_DFLT=$HOME
    1948219505
    1948319506  # Check if we have autoconf
     
    1954919572  autoconf_dir=`cd $autoconf_dir; pwd`
    1955019573  if test x$AUTOTOOLS_DIR = x; then
    19551     want_dir=$HOME/bin
     19574    want_dir=$AUTOTOOLS_DFLT/bin
    1955219575  else
    1955319576    want_dir=$AUTOTOOLS_DIR/bin
     
    1956019583    echo "$as_me:$LINENO: result: no" >&5
    1956119584echo "${ECHO_T}no" >&6
    19562     { { echo "$as_me:$LINENO: error: The autoconf executable should be picked up from \$HOME/bin or \$AUTOTOOLS_DIR/bin." >&5
    19563 echo "$as_me: error: The autoconf executable should be picked up from \$HOME/bin or \$AUTOTOOLS_DIR/bin." >&2;}
     19585    { { echo "$as_me:$LINENO: error: The autoconf executable should be picked up from \$AUTOTOOLS_DFLT/bin or \$AUTOTOOLS_DIR/bin." >&5
     19586echo "$as_me: error: The autoconf executable should be picked up from \$AUTOTOOLS_DFLT/bin or \$AUTOTOOLS_DIR/bin." >&2;}
    1956419587   { (exit 1); exit 1; }; }
    1956519588  fi
     
    1963319656  automake_dir=`cd $automake_dir; pwd`
    1963419657  if test x$AUTOTOOLS_DIR = x; then
    19635     want_dir=$HOME/bin
     19658    want_dir=$AUTOTOOLS_DFLT/bin
    1963619659  else
    1963719660    want_dir=$AUTOTOOLS_DIR/bin
     
    1964419667    echo "$as_me:$LINENO: result: no" >&5
    1964519668echo "${ECHO_T}no" >&6
    19646     { { echo "$as_me:$LINENO: error: The automake executable should be picked up from \$HOME/bin or \$AUTOTOOLS_DIR/bin." >&5
    19647 echo "$as_me: error: The automake executable should be picked up from \$HOME/bin or \$AUTOTOOLS_DIR/bin." >&2;}
     19669    { { echo "$as_me:$LINENO: error: The automake executable should be picked up from \$AUTOTOOLS_DFLT/bin or \$AUTOTOOLS_DIR/bin." >&5
     19670echo "$as_me: error: The automake executable should be picked up from \$AUTOTOOLS_DFLT/bin or \$AUTOTOOLS_DIR/bin." >&2;}
    1964819671   { (exit 1); exit 1; }; }
    1964919672  fi
     
    1965119674  # Check if we can find the libtool file
    1965219675  if test x$AUTOTOOLS_DIR = x; then
    19653     want_dir=$HOME/share
     19676    want_dir=$AUTOTOOLS_DFLT/share
    1965419677  else
    1965519678    want_dir=$AUTOTOOLS_DIR/share
     
    1998020003
    1998120004case "$CC" in
    19982   cl*) LIBEXT=lib ;;
     20005  cl* | */cl*)
     20006       LIBEXT=lib ;;
    1998320007    *) LIBEXT=a ;;
    1998420008esac
     
    2124921273
    2125021274if test x"$coin_vpath_link_files" = x; then : ; else
    21251   { echo "$as_me:$LINENO: Creating VPATH links for data files" >&5
     21275  lnkcmd=
     21276  if test "$enable_doscompile" = yes; then
     21277    lnkcmd=cp
     21278  fi
     21279  case "$CC" in
     21280    cl* | */cl*)
     21281      lnkcmd=cp ;;
     21282  esac
     21283  if test "$lnkcmd" = cp; then
     21284    { echo "$as_me:$LINENO: Copying data files for VPATH configuration" >&5
     21285echo "$as_me: Copying data files for VPATH configuration" >&6;}
     21286  else
     21287    echo "$as_me:$LINENO: checking whether ln -s works" >&5
     21288echo $ECHO_N "checking whether ln -s works... $ECHO_C" >&6
     21289LN_S=$as_ln_s
     21290if test "$LN_S" = "ln -s"; then
     21291  echo "$as_me:$LINENO: result: yes" >&5
     21292echo "${ECHO_T}yes" >&6
     21293else
     21294  echo "$as_me:$LINENO: result: no, using $LN_S" >&5
     21295echo "${ECHO_T}no, using $LN_S" >&6
     21296fi
     21297
     21298    { echo "$as_me:$LINENO: Creating VPATH links for data files" >&5
    2125221299echo "$as_me: Creating VPATH links for data files" >&6;}
     21300    lnkcmd="$LN_S"
     21301  fi
    2125321302  for file in $coin_vpath_link_files; do
     21303    dir=`(dirname "./$file") 2>/dev/null ||
     21304$as_expr X"./$file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
     21305         X"./$file" : 'X\(//\)[^/]' \| \
     21306         X"./$file" : 'X\(//\)$' \| \
     21307         X"./$file" : 'X\(/\)' \| \
     21308         .     : '\(.\)' 2>/dev/null ||
     21309echo X"./$file" |
     21310    sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
     21311          /^X\(\/\/\)[^/].*/{ s//\1/; q; }
     21312          /^X\(\/\/\)$/{ s//\1/; q; }
     21313          /^X\(\/\).*/{ s//\1/; q; }
     21314          s/.*/./; q'`
     21315    if test -d $dir; then : ; else
     21316      { if $as_mkdir_p; then
     21317    mkdir -p $dir
     21318  else
     21319    as_dir=$dir
     21320    as_dirs=
     21321    while test ! -d "$as_dir"; do
     21322      as_dirs="$as_dir $as_dirs"
     21323      as_dir=`(dirname "$as_dir") 2>/dev/null ||
     21324$as_expr X"$as_dir" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
     21325         X"$as_dir" : 'X\(//\)[^/]' \| \
     21326         X"$as_dir" : 'X\(//\)$' \| \
     21327         X"$as_dir" : 'X\(/\)' \| \
     21328         .     : '\(.\)' 2>/dev/null ||
     21329echo X"$as_dir" |
     21330    sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
     21331          /^X\(\/\/\)[^/].*/{ s//\1/; q; }
     21332          /^X\(\/\/\)$/{ s//\1/; q; }
     21333          /^X\(\/\).*/{ s//\1/; q; }
     21334          s/.*/./; q'`
     21335    done
     21336    test ! -n "$as_dirs" || mkdir $as_dirs
     21337  fi || { { echo "$as_me:$LINENO: error: cannot create directory $dir" >&5
     21338echo "$as_me: error: cannot create directory $dir" >&2;}
     21339   { (exit 1); exit 1; }; }; }
     21340
     21341    fi
    2125421342    rm -f $file
    21255     $LN_S $abs_source_dir/$file $file
     21343    $lnkcmd $abs_source_dir/$file $file
    2125621344  done
    2125721345fi
Note: See TracChangeset for help on using the changeset viewer.